#ifndef _MAIN_H_
#define _MAIN_H_

#define VERSION "1.1.1"

typedef long double   price_t;
typedef long double   wattage_t;
typedef unsigned long interval_t;

int parse_arguments(const int argc, const char *const *const argv,
                    price_t *const price, wattage_t *const wattage, interval_t *const interval);

inline interval_t interval_to_seconds(const char *const interval);
inline price_t    price_kwh_to_wattspersecond(const price_t price);

inline void print_version();
inline void print_usage();

#endif
